Assumptions
1. Login database takes 8s ;
2. Get Profile database takes 4s;
3. Assumption that no two users have same email and password;
4. Email is identical in both database;






Razor Finance is a Fintech Company serving thousands of customers, a greater percentage being youths. The Company is Getting Negative feedbacks on their web services lately from their customers, majority had a bad experience using the web platform because of the slow response, and timeouts. The CTO after careful analysis and profiling discovers that 
1. When a user logins in His Credentials is Verified from Accounts Database, i.e that DB is queried for the user credentials, if successful, the user's Data like (account number, email, username, address) is also queried from another Database, before the user's details is displayed. All these are done synchronously, which is blocking available threads, also wasteful,
the CTO assigned A task to you, to make all these operations asynchronous.

state all assumptions
